// Első lépésnek hozzuk létre egy absztrakt Jarmu osztályt, amely tartalmazza a jármű általános tulajdonságait és metódusait


namespace _2023._10._11;

abstract class Jarmu
{
    public string Marka {get; set;}
    public int Ev {get; set;}
    public abstract void Vezeto();
}

class Auto : Jarmu
{
    public int Loero {get; set;}
    public override void Vezeto()
    {
        System.Console.WriteLine($"Az autó vezetés: {Marka}, Év: {Ev}, Lóerő: {Loero}");
    }
}

class Kerekpar : Jarmu
{
    public int Sebesseg {get; set;}
    public override void Vezeto()
    {
        System.Console.WriteLine($"Kerékpározás: {Marka}, Év: {Ev}, Sebesség: {Sebesseg}");
    }
}

class Program
{
    static void Main(string[] args)
    {
        Auto auto1 = new Auto {Marka = "Suzuki", Ev = 2002, Loero = 997};
        auto1.Vezeto();
        Kerekpar bic1 = new Kerekpar {Marka = "Csepel", Ev = 2020, Sebesseg = 5};
        bic1.Vezeto();
    }
}
